package com.fr.plugin.event.manager.ui.tree;

import com.fr.plugin.event.manager.data.MyTree;

import javax.swing.event.TreeModelListener;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreePath;

/**
 * @author Joe
 * Created by Joe on 12/11/2020
 */
public class MyComponentTreeModel implements TreeModel {

    private MyTree root;

    public MyComponentTreeModel(MyTree root) {
        this.root = root;
    }

    @Override
    public Object getRoot() {
        return root;
    }

    @Override
    public Object getChild(Object parent, int index) {
        if (parent instanceof MyTree) {
            return ((MyTree) parent).findChild(index);
        }
        return null;
    }

    @Override
    public int getChildCount(Object parent) {
        if (parent instanceof MyTree) {
            return ((MyTree) parent).getChildrenSize();
        }
        return 0;
    }

    @Override
    public boolean isLeaf(Object node) {
        if (node instanceof MyTree) {
            return ((MyTree) node).isLeaf();
        }
        return false;
    }

    @Override
    public void valueForPathChanged(TreePath path, Object newValue) {

    }

    @Override
    public int getIndexOfChild(Object parent, Object child) {
        if (parent instanceof MyTree) {
            return ((MyTree) parent).getIndexOfChild(child);
        }
        return -1;
    }

    @Override
    public void addTreeModelListener(TreeModelListener l) {

    }

    @Override
    public void removeTreeModelListener(TreeModelListener l) {

    }
}
